Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005053OCamlOCamlbuild (the tool)public2010-05-18 15:422010-05-20 11:45
Reportergildor 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0005053: End-of-line for .sh script (especially in build/)
DescriptionShell scripts on Windows must be UNIX encoded. This means that the property svn:eol-style must be set to "LF".

For now, it is set to "native", which causes Windows SVN to checkout the SH files and replaces EOL by CRLF. The "/bin/sh" of cygwin is not able to execute the script when lines end with CRLF (Unknown command '\r' line 2).

Maybe, it should be a good idea to look for other shell scripts and set them the same property.

Sorry not to provide a patch, this change is unrepresentable.

Sylvain
TagsNo tags attached.
Attached Files

- Relationships
related to 0005050closeddoligez Mac files cannot compile with MS C compiler 

-  Notes
(0005468)
doligez (administrator)
2010-05-20 11:45

I think I've found all the scripts and changed their flags.
This is done in svn revision 10443.

- Issue History
Date Modified Username Field Change
2010-05-18 15:42 gildor New Issue
2010-05-18 15:51 gildor Relationship added related to 0005050
2010-05-19 15:33 doligez Status new => assigned
2010-05-19 15:33 doligez Assigned To => doligez
2010-05-20 11:45 doligez Note Added: 0005468
2010-05-20 11:45 doligez Status assigned => closed
2010-05-20 11:45 doligez Resolution open => fixed
2010-05-20 11:45 doligez Fixed in Version => 3.12.0+dev
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker